$(document).ready(function () {
    $("body").on("click", ".remove", remove);
    $("body").on("blur keyup", ".amount, .paxname, .perpax, .handchg, .gstperc", calTikt);

    $('.tiktpurch').click(function () {
        $('.ptikt').toggle("slide");
    });

    function calTikt() {
        var rowCount = 0,
        rowCount = $('.tbody tr').length;

        var famt = 0,  gstamt = 0, totfinal = 0;

        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.lenght != 0) {
                famt += parseFloat(this.value);
            }
        });
        $(".subtot").val(famt);

        var perpax = $(".perpax").val(),
            gstperc = $(".gstperc").val();

            if (perpax > 0){
                var handchg = (perpax * rowCount).toFixed(2);
                $('.handchg').val(handchg);
            }else{
                var handchg = $(".handchg").val();
            }
            
            var gstamt = ((handchg * gstperc) / 100).toFixed(2);
            $('.gstamt').val(gstamt);

        var totfinal = Math.round(parseFloat(famt) + parseFloat(handchg) + parseFloat(gstamt));

        $(".totamt").val(totfinal);

    }




    $('.visapurch').click(function () {
        $('.pvisa').toggle("slide");
    });

    $("#addnew").click(function () {
        AddRows();
    });


    function AddRows() {
        var ctr = $("#items").val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;

        $.post("tiktnew_add.php", {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo(".tbody");
            ctr++;
            $("#items").val(ctr);
            $(detail).select2();
        });
//    newPax();
    }

    function remove() {
        $(this).closest("tr").remove();
        calTikt();
    }
});
